GCalc.MathFunction – GCalc-2 Reference Manual

# MathFunction

## Object Hierarchy:

## Description:

public interface MathFunction : Object, MathExpression

A Function as part of a MathExpression

All known implementing classes:

- Function

Namespace: GCalc
Package: GCalc-2

## Content:

### Properties:

- public abstract bool closed { get; set; }
  A condition used while parsing, as a flag when the function has been closed or finished and no more parameters should be parsed.
- public abstract uint n_params { get; set construct; }
  Number of parameters required by this function
- public abstract string name { get; set construct; }
  Function's name
- public abstract ExpressionContainer param_types { get; }
  Parameters used by the function, objects representing the expected types. See verify_params

### Methods:

- public abstract MathExpression evaluate () throws Error
  Evaluate the function returning a resulting MathExpression.
- public virtual bool verify_params () throws Error
  Check the paratemeters given to the function agains param_types and number of parameters using n_params

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GCalc.MathExpression

- expressions
- parent

- solve

- to_string